Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.undo
Class SubtaskUndoItem

    java.lang.Object
      net.sf.borg.model.undo.UndoItem<Subtask>
          net.sf.borg.model.undo.SubtaskUndoItem

    public class SubtaskUndoItem

extends UndoItem<Subtask>

Subtask Undo Item.

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.borg.model.undo.UndoItem
`UndoItem.actionType`

Field Summary

Fields inherited from class net.sf.borg.model.undo.UndoItem
`action, item`

Method Summary
`void` | `executeUndo()` execute the undo action on the item.
`static SubtaskUndoItem` | `recordAdd(Subtask subtask)` Record a subtask add.
`static SubtaskUndoItem` | `recordDelete(Subtask subtask)` Record a subtask delete.
`static SubtaskUndoItem` | `recordUpdate(Subtask subtask)` Record a subtask update.

Methods inherited from class net.sf.borg.model.undo.UndoItem
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### executeUndo

    public void executeUndo()

  Description copied from class: `UndoItem`
  execute the undo action on the item.

  Specified by:
    `executeUndo` in class `UndoItem<Subtask>`

### recordUpdate

    public static SubtaskUndoItem recordUpdate(Subtask subtask)

  Record a subtask update.

  Parameters:
    `subtask` - the subtask
  Returns:
    the subtask undo item

### recordAdd

    public static SubtaskUndoItem recordAdd(Subtask subtask)

  Record a subtask add.

  Parameters:
    `subtask` - the subtask
  Returns:
    the subtask undo item

### recordDelete

    public static SubtaskUndoItem recordDelete(Subtask subtask)

  Record a subtask delete.

  Parameters:
    `subtask` - the subtask
  Returns:
    the subtask undo item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic